#   File:       makerez.make
#   Target:     makerez
#   Sources:    MakeRez.c
#   Created:    Tuesday, December 16, 2014 1:14:31 AM
#
#   Copyright 3DO Company, 1993, 1994
#   All rights reserved.
#
#		Change History (most recent first):
#
#   		<>		---		Created by Create3DOMake 2.4

#####################################
#	Symbol definitions
#####################################

App				= makerez
DebugFlag		= 0
SourceDir		= MacOS75:Desktop Folder:Makerez:1995:
ObjectDir		= :Objects:
StreamDir		= :DataStream:
SubscriberDir	= {StreamDir}Subscribers:
3DLibDir		= :3d_lib_source:
CC				= armcc
LINK			= armlink
WorkingDisk		= ''

#####################################
#	Default compiler options
#####################################

COptions			= -fa -zps0 -za1 -i {StreamDir} -i {SubscriberDir} -i {3DLibDir}
LOptions			= -aif -r -b 0x00
LStackSize			= 4096

#####################################
#	Object files
#####################################

OBJECTS			=	 {ObjectDir}MakeRez.c.o "{3DOLibs}"cstartup.o

LIBS			=	 
					"{3DOLibs}subscriber.lib" 
#					"{3DOLibs}3DLib.lib" 
					"{3DOLibs}Lib3DO.lib" 
					"{3DOLibs}audio.lib" 
					"{3DOLibs}music.lib" 
					"{3DOLibs}operamath.lib" 
					"{3DOLibs}filesystem.lib" 
					"{3DOLibs}graphics.lib" 
					"{3DOLibs}input.lib" 
#					"{3DOLibs}codec.lib" 
					"{3DOLibs}clib.lib" 
					"{3DOLibs}swi.lib" 
					"{3DOLibs}dataacq.lib" 
					"{3DOLibs}ds.lib"

#####################################
#	Default build rules
#####################################

All					{App}

{ObjectDir}			:

.c.o		.c
	{CC} -i "{3DOIncludes}" {COptions} -o {TargDir}{Default}.c.o {DepDir}{Default}.c

#####################################
#	Target build rules
#####################################

{App}  {App}.make {OBJECTS}
	{LINK} {LOptions} 
		{OBJECTS} 
		{LIBS} 
		-o "{WorkingDisk}"{Targ}
	SetFile "{WorkingDisk}"{Targ} -c '3DO ' -t APPL
	modbin "{WorkingDisk}"{Targ} -stack {LStackSize}
	stripaif "{WorkingDisk}"{Targ} -o {Targ} -s {Targ}.sym
	duplicate {3DOAutodup} {Targ} "{3DORemote}"

#####################################
#	Additional Target Dependencies
#####################################

{ObjectDir}MakeRez.c.o				{App}.make

